RequirementRelationType
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements
Enum RequirementRelationType

    java.lang.Object
      java.lang.Enum<RequirementRelationType>
          org.gcube.vremanagement.resourcebroker.utils.serialization.types.requirements.RequirementRelationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RequirementRelationType>

    public enum RequirementRelationType

extends java.lang.Enum<RequirementRelationType>

How the looked up requirement nodes are in relation with the required value.

Author:
  Daniele Strollo (ISTI-CNR)

Enum Constant Summary
`CONTAINS`
`EQUAL`
`GREATER`
`GREATER_OR_EQUAL`
`LESS`
`LESS_OR_EQUAL`
`NOT_EQUAL`

Method Summary
`java.lang.String` | `getRelType()`
`static RequirementRelationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RequirementRelationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQUAL

    public static final RequirementRelationType EQUAL

### LESS_OR_EQUAL

    public static final RequirementRelationType LESS_OR_EQUAL

### GREATER_OR_EQUAL

    public static final RequirementRelationType GREATER_OR_EQUAL

### GREATER

    public static final RequirementRelationType GREATER

### LESS

    public static final RequirementRelationType LESS

### CONTAINS

    public static final RequirementRelationType CONTAINS

### NOT_EQUAL

    public static final RequirementRelationType NOT_EQUAL

Method Detail

### values

    public static RequirementRelationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RequirementRelationType c : RequirementRelationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RequirementRelationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getRelType

    public java.lang.String getRelType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD